Bug 621036 - Publican doesn't set web labels when building RPM packages
Summary: Publican doesn't set web labels when building RPM packages
Status: CLOSED ERRATA
Alias: None
Product: Publican
Classification: Community
Component: publican (Show other bugs)
(Show other bugs)
Version: 1.6
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jeff Fearn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 04:28 UTC by Ruediger Landmann
Modified: 2010-11-24 04:19 UTC (History)
4 users (show)

Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 20:42:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ruediger Landmann 2010-08-04 04:28:51 UTC
Description of problem:
Publican doesn't incorporate web labels (such as web_version_label) when building the spec file of an RPM package. Product names, versions, and document titles cannot be overriden when installing documents on a website

Version-Release number of selected component (if applicable):
2.1

How reproducible:
100%

Steps to Reproduce:
1. Set a web_version_label in the publican.cfg file of a document
2. Build a web RPM package
3. Install the package on a Publican-generated website
  
Actual results:
Book is installed with the version specified by the <productnumber>, not by the web_version_label

Expected results:
Book is installed with the web_version_label

Additional info:

Comment 1 Jeff Fearn 2010-08-04 04:30:52 UTC
Made Builder pass web labels to web-spec.xsl

Fixed in build: 2.1-0%{?dist}.t7

Comment 2 Ruediger Landmann 2010-08-06 04:38:15 UTC
Verified in 2.1.t20 that web_version_label, web_product_label, and web_name_label,  are all added to  the %post section of the spec file when you build a package.

Comment 3 Fedora Update System 2010-10-06 05:48:23 UTC
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13

Comment 4 Fedora Update System 2010-10-06 05:49:41 UTC
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12

Comment 5 Fedora Update System 2010-10-06 05:49:44 UTC
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14

Comment 6 Fedora Update System 2010-10-08 20:39:49 UTC
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.